package com.nosum.common.validator.constraint;

import com.nosum.common.validator.annotion.NotNull;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

/**
 * 这里有些冗余了，其实面对控制器的VO对象，应该全为String类型。
 * 作为后端程序员，不应该相信前端传递的任何参数，所以字符串类型也应该被识别。然后使用{@link com.nosum.common.validator.annotion.Numeric}注解
 *
 * @author 杜咏微
 */
public class IdValidator implements ConstraintValidator<NotNull, Long> {
    @Override
    public boolean isValid(Long value, ConstraintValidatorContext context) {
        if (value == null) {
            return false;
        }
        return true;
    }
}
